.order_details_page {
  padding: 20px 0;
}
.order_details_page .custom-wrapper {
  margin-top: 20px;
}

/* =====================
   COMMON CARD
===================== */

.tracking_card,
.product_tracking_card {
  box-shadow: 0px 3px 5px #00000029;
  /* border-top: 1px solid #2d2d2d30; */
  border-radius: 5px;
  height: 100%;
}

/* =====================
   TRACKING CARD
===================== */

.tracking_card .tracking_header {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;

  background: #f5f5f5;
  padding: 10px;
}

.tracking_card .location-wrapper {
  display: flex;
  align-items: start;
  gap: 3px;
}
.tracking_card .tracking_header .location-wrapper svg {
  font-size: 20px;
}
.tracking_card .tracking_header .location-wrapper .tag {
  display: block;
  font-size: 11px;
  color: #616161;
  text-transform: uppercase;
  background: #e1e1e1;
  padding: 2px 4px 0;
  border-radius: 2px;
}
.tracking_card .tracking_header .location-wrapper .track-id {
  margin: 5px 0 2px;
  font-size: 15px;
  color: #000000;
  font-weight: 600;
}

.tracking_card .tracking_header .location-wrapper .status {
  margin: 0;
  font-size: 12px;
  color: #28a745;
}
.tracking_card .tracking_header .delivery_date {
  text-align: right;
}
.tracking_card .tracking_header .delivery_date .red-text {
  display: block;
  color: #ee4823;
  font-size: 13px;
}

/* Timeline */
.tracking_card .tracking_timeline {
  position: relative;
  padding: 20px 15px;
}
.tracking_card .tracking_timeline .timeline_item {
  display: flex;
  position: relative;
  padding-bottom: 28px;
}
.tracking_card .tracking_timeline .timeline_item:last-child {
  padding-bottom: 0;
}
.tracking_card .tracking_timeline .timeline_item:not(:last-child)::after {
  content: "";
  position: absolute;
  left: 8px;
  top: 20px;
  width: 2px;
  height: calc(100% - 5px);

  border-right: 2px dashed;
}
.tracking_card .tracking_timeline .timeline_item .timeline_icon {
  width: 18px;
  height: 18px;
  min-width: 18px;
  border-radius: 50%;
  border: 2px solid #cfcfcf;
  background: #fff;
  margin-right: 15px;
  position: relative;
  z-index: 2;
}
.tracking_card .tracking_timeline .timeline_item.completed .timeline_icon {
  border-color: #2fbf5b;
}
.tracking_card
  .tracking_timeline
  .timeline_item.completed
  .timeline_icon::before {
  content: "✓";
  position: absolute;
  inset: 0;
  font-size: 12px;
  font-weight: 900;
  color: #2fbf5b;
  display: flex;
  align-items: center;
  justify-content: center;
}
.tracking_card .tracking_timeline .timeline_item .timeline_head {
  display: flex;
  justify-content: space-between;
  gap: 15px;
}
.tracking_card .tracking_timeline .timeline_item .timeline_head .status-title {
  margin: 0;
  font-size: 16px;
  font-weight: 500;

  opacity: 0.6;
}
.tracking_card
  .tracking_timeline
  .timeline_item.completed
  .timeline_head
  .status-title {
  color: #30b541;
  opacity: 1;
}
.tracking_card .tracking_timeline .timeline_item .timeline_head .date-time {
  font-size: 11px;
  color: #010e1e;
  text-align: right;
  white-space: nowrap;
}
.tracking_card .tracking_timeline .timeline_item .timeline_content {
  flex: 1;
}
.tracking_card .tracking_timeline .timeline_item .timeline_content .desc {
  margin-top: 3px;
  font-size: 13px;
  color: #010e1e;
  line-height: 1.3;
  margin-bottom: 5px;
  opacity: 0.5;
  display: -webkit-box;
  -webkit-line-clamp: 4;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
}
.tracking_card
  .tracking_timeline
  .timeline_item.completed
  .timeline_content
  .desc {
  opacity: 1;
}

/* =====================
   PRODUCT CARD
===================== */

.product_tracking_card {
  padding: 15px;
}
.product_tracking_card .product_top {
  display: flex;
  justify-content: space-between;
  gap: 20px;
}
.product_tracking_card .product_top .img-wrapper-div {
  width: 180px;
  height: 180px;
  border-radius: 8px;
  overflow: hidden;
}
.product_tracking_card .product_top .img-wrapper-div img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.product_tracking_card .product_top .right-wraper {
  display: flex;
  flex-direction: column;
  align-items: end;
  gap: 15px;
}
.product_tracking_card .product_top .right-wraper .share-btn {
  background: #f5f5f5;
  width: 35px;
  height: 35px;
  font-size: 20px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  cursor: pointer;
}
.product_tracking_card .details-wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 8px;
  gap: 10px;
}
.product_tracking_card .details-wrapper .product_details .stock_badge {
  display: inline-block;
  font-size: 12px;
  color: #115100;
  margin-bottom: 5px;
  background: #d3e5cf;
  padding: 0px 8px;
  border-radius: 20px;
}
.product_tracking_card .details-wrapper .product_details .title {
  margin-bottom: 5px;
  font-size: 24px;
  font-weight: 600;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
}
.product_tracking_card .desc {
  color: #222222 !important;
  margin-bottom: 8px !important;
  font-size: 15px;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
}
.product_tracking_card .details-wrapper .rating {
  color: #f4c400;
  font-size: 18px;
}
.product_tracking_card .details-wrapper .rating .review {
  color: #666;
  font-size: 13px;
  white-space: nowrap;
  margin-left: 8px;
}
.product_tracking_card .product_price {
  text-align: right;
}
.product_tracking_card .product_price .price {
  color: #ee4823;
  font-size: 16px;
  font-weight: 500;
  margin: 1px;
  white-space: nowrap;
}
.product_tracking_card .product_price .unit {
  color: #888;
  font-size: 13px;
}

/* Preference Section */
.product_tracking_card .preference_section {
  margin-top: 10px;
  padding-top: 15px;
  border-top: 2px dashed #d9d9d9;
}
.product_tracking_card .preference_section .card-heading {
  margin-bottom: 10px;
  font-size: 15px;
  font-weight: 600;
  color: #2d2d2d;
}
.product_tracking_card .preference_section ul {
  padding-left: 20px;
  list-style: none;
  margin: 0;
}
.product_tracking_card .final_price {
  margin-top: 10px;
  padding-top: 15px;
  border-top: 2px dashed #d9d9d9;
}
.product_tracking_card .final_price .price {
  display: inline-block;
  margin: 0;
  color: #ee4823;
  font-size: 28px;
  font-weight: 500;
}
.product_tracking_card .final_price .tag {
  margin-left: 10px;
  color: #747474;
  font-size: 12px;
}
.product_tracking_card .final_price .qty {
  margin-top: 2px;
  color: #000000;
  font-size: 13px;
}

/* =====================
   RESPONSIVE
===================== */

@media (min-width: 0px) and (max-width: 1199.98px) {
  .tracking_card .tracking_header {
    padding: 10px 6px;
  }
  .tracking_card .tracking_header .location-wrapper .tag {
    font-size: 10px;
  }
  .tracking_card .tracking_header .delivery_date .red-text {
    font-size: 11px;
  }
  .tracking_card .tracking_header .location-wrapper .track-id {
    font-size: 14px;
  }
  .tracking_card .tracking_timeline {
    padding: 12px 11px;
  }
  .tracking_card .tracking_timeline .timeline_item .timeline_icon {
    margin-right: 8px;
  }
  .tracking_card
    .tracking_timeline
    .timeline_item
    .timeline_head
    .status-title {
    font-size: 15px;
  }
  .tracking_card .tracking_timeline .timeline_item .timeline_content .desc {
    font-size: 12px;
    margin-bottom: 0px;
  }
  .product_tracking_card .product_top .img-wrapper-div {
    width: 160px;
    height: 160px;
  }
  .product_tracking_card .details-wrapper .product_details .title {
    margin-bottom: 2px;
    font-size: 20px;
  }
  .product_tracking_card .final_price .price {
    font-size: 24px;
  }
  .product_tracking_card .preference_section .card-heading {
    margin-bottom: 7px;
  }
  .product_tracking_card .product_price .price {
    font-size: 15px;
  }
}

@media (min-width: 0px) and (max-width: 991.98px) {
  .gap-bottom {
    margin-bottom: 20px !important;
  }
  .tracking_card .tracking_timeline .timeline_item .timeline_content .desc {
    font-size: 13px;
  }
}
@media (min-width: 0px) and (max-width: 767.98px) {
  .product_tracking_card .desc {
    font-size: 14px;
  }
  .product_tracking_card .product_price .price {
    font-size: 13px;
  }
  .product_tracking_card .details-wrapper .product_details .title {
    font-size: 18px;
  }
  .product_tracking_card .product_top .img-wrapper-div {
    width: 140px;
    height: 140px;
  }
  .product_tracking_card .final_price .price {
    font-size: 22px;
  }
}

@media (min-width: 0px) and (max-width: 575.98px) {
  .order_details_page .custom-wrapper {
    padding: 0;
  }
  .product_tracking_card .product_top .img-wrapper-div {
    width: 100px;
    height: 100px;
  }
  .product_tracking_card .common-Details-Btn {
    min-width: 129px;
    padding: 4px 15px;
  }
  .product_tracking_card .details-wrapper .product_details .stock_badge {
    font-size: 10px;
  }
  .product_tracking_card .details-wrapper .product_details .title {
    font-size: 16px;
  }
  .product_tracking_card .desc {
    font-size: 13px;
    line-height: 1.3;
  }
  .product_tracking_card .preference_section .card-heading {
    margin-bottom: 5px;
    font-size: 14px;
  }
  .product_tracking_card .final_price .price {
    font-size: 18px;
  }
  .product_tracking_card .final_price .qty {
    font-size: 11px;
  }
  .product_tracking_card .preference_section,
  .product_tracking_card .final_price {
    margin-top: 5px;
    padding-top: 10px;
    border-top: 1px dashed #d9d9d9;
  }
  .tracking_card
    .tracking_timeline
    .timeline_item
    .timeline_head
    .status-title {
    font-size: 14px;
  }
  .tracking_card .tracking_header .location-wrapper .track-id {
    font-size: 13px;
  }
  .order_details_page {
    padding: 15px 0;
  }
  .order_details_page .custom-wrapper {
    margin-top: 12px;
  }
}
